Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 980841 - Met "undefined method" errors when migration
Summary: Met "undefined method" errors when migration
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Pod
Version: 2.x
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: ---
Assignee: Ravi Sankar
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 10:37 UTC by chunchen
Modified: 2016-09-30 02:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-22 15:20:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description chunchen 2013-07-03 10:37:37 UTC
Description of problem:
When run migration by "oo-admin-upgrade --version 2.0.30", will meet "undefined method `uuid' for <UUID>:String" errors

Version-Release number of selected component (if applicable):
devenv_3441

How reproducible:
always

Steps to Reproduce:
1. Create some apps
2. SSH into the instance and run migration scripts
oo-admin-upgrade --version 2.0.30

Actual results:
<-----------------snip---------------->
Migrating app 'cjbossas7sdbstartedjkns' gear '911995846519437689618432' with uuid '911995846519437689618432' on node 'ip-10-145-182-47' for user: chunchen
Failed to upgrade with cmd: '/usr/sbin/oo-admin-upgrade --login 'chunchen' --upgrade-gear '911995846519437689618432' --app-name 'cjbossas7sdbstartedjkns' --version '2.0.30' ' after 2 tries with exception: Failed upgrading gear. Rerun with: /usr/sbin/oo-admin-upgrade --login 'chunchen' --upgrade-gear '911995846519437689618432' --app-name 'cjbossas7sdbstartedjkns' --version '2.0.30' --ignore-cartridge-version
["/usr/sbin/oo-admin-upgrade:83:in `block in upgrade_gear'", "/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'", "/usr/sbin/oo-admin-upgrade:51:in `upgrade_gear'", "/usr/sbin/oo-admin-upgrade:570:in `block in upgrade_from_file'", "/usr/sbin/oo-admin-upgrade:568:in `each'", "/usr/sbin/oo-admin-upgrade:568:in `upgrade_from_file'", "/usr/sbin/oo-admin-upgrade:716:in `<main>'"]
Output:
Migrating gear on node with: /usr/sbin/oo-admin-upgrade --login 'chunchen' --upgrade-gear '911995846519437689618432' --app-name 'cjbossas7sdbstartedjkns' --version '2.0.30' --ignore-cartridge-version
Upgrading on node...
***time_upgrade_on_node_measured_from_broker=95***
Upgrade on node output:
 Beginning 2.0.30 upgrade for 911995846519437689618432
Inspecting gear at /var/lib/openshift/911995846519437689618432
Migrating gear at /var/lib/openshift/911995846519437689618432
Caught an exception during upgrade: undefined method `uuid' for "911995846519437689618432":String
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.11.3/lib/openshift-origin-node/utils/application_state.rb:44:in `initialize'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.11.3/lib/openshift-origin-node/model/upgrade.rb:177:in `new'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.11.3/lib/openshift-origin-node/model/upgrade.rb:177:in `upgrade_cartridges'
/opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.11.3/lib/openshift-origin-node/model/upgrade.rb:117:in `upgrade'
/opt/rh/ruby193/root/usr/libexec/mcollective/mcollective/agent/openshift.rb:221:in `upgrade_action'
/opt/rh/ruby193/root/usr/share/ruby/mcollective/rpc/agent.rb:86:in `handlemsg'
/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:126:in `block (2 levels) in dispatch'
/opt/rh/ruby193/root/usr/share/ruby/timeout.rb:69:in `timeout'
/opt/rh/ruby193/root/usr/share/ruby/mcollective/agents.rb:125:in `block in dispatch'
Upgrade on node exit code: 1
<-----------------snip---------------->

Expected results:
should not meet this errors

Additional info:

Comment 1 Xiaoli Tian 2013-07-05 02:27:58 UTC
Hi, AdamM

Not sure if you missed this bug while deploying INT.

Comment 2 Xiaoli Tian 2013-07-05 02:27:58 UTC
Hi, AdamM

Not sure if you missed this bug while deploying INT.

Comment 3 Ravi Sankar 2013-07-08 22:02:50 UTC
Fixed in https://github.com/openshift/origin-server/pull/3010

Comment 4 openshift-github-bot 2013-07-09 06:04:53 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/68b999cecc61c9f3ae9c3073e084de6330c85daa
Bug 980841 - Need to pass 'container' instead of 'uuid' for ApplicationState constructor

Comment 5 Jianwei Hou 2013-07-09 07:51:23 UTC
The bug is fixed with Above PR, the applications can be migrated successfully. Mark as verified.


Note You need to log in before you can comment on or make changes to this bug.